| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Traffic Type

Traffic Type Definitions and Methods. More...

## Classes
struct | unsp__CreateTrafficTypeRequest
| Create Traffic Type request. More...
struct | unsp__CreateTrafficTypeResult
| Create Traffic Type result. More...
struct | unsp__ModifyTrafficTypeRequest
| Modify Traffic Type request. More...
struct | unsp__ModifyTrafficTypeResult
| Modify Traffic Type result. More...
struct | unsp__DeleteTrafficTypeRequest
| Delete Traffic Type request. More...
struct | unsp__DeleteTrafficTypeResult
| Delete Traffic Type result. More...
struct | unsp__TrafficTypeEntry
| Traffic Type Entry. More...
struct | unsp__QueryTrafficTypeListRequest
| Query Traffic Type List request. More...
struct | unsp__TrafficTypeList
| Traffic Type List. More...
struct | unsp__QueryTrafficTypeListResult
| Query Traffic Type List result. More...

## Enumerations
enum | unsp__TrafficTypeVariant { UnknownTrafficType, EmergencyTrafficType, GenericTrafficType }
| Traffic Type Variant. More...
enum | unsp__TTSortType { TTSortByName, TTSortByValue }
| Traffic Type Sort Type. More...

## Functions
int | unsp__CreateTrafficType (struct unsp__CreateTrafficTypeRequest CreateTrafficTypeRequest, struct unsp__CreateTrafficTypeResult *CreateTrafficTypeResult)
| This method creates a Traffic Type. More...
int | unsp__ModifyTrafficType (struct unsp__ModifyTrafficTypeRequest ModifyTrafficTypeRequest, struct unsp__ModifyTrafficTypeResult *ModifyTrafficTypeResult)
| This method modifies the name of a Traffic Type. More...
int | unsp__DeleteTrafficType (struct unsp__DeleteTrafficTypeRequest DeleteTrafficTypeRequest, struct unsp__DeleteTrafficTypeResult *DeleteTrafficTypeResult)
| This method deletes a Traffic Type. More...
int | unsp__QueryTrafficTypeList (struct unsp__QueryTrafficTypeListRequest QueryTrafficTypeListRequest, struct unsp__QueryTrafficTypeListResult *QueryTrafficTypeListResult)
| This method retrieves the List of Traffic Types. More...

## Detailed Description

Traffic Type Definitions and Methods.

A Traffic Type identifies the type of call, e.g. national, international, etc. Optional (defaults to UNDEFINED or NONE). This is used to set the callType value which is passed to UCE and Services component. Many services, e.g. toll restriction, Auth Code, and Call forwarding restriction make use of the callType returned by XLA. The emergency call type is used by UCE to allow the call even if the user is not authenticated or allowed to make any calls.

Traffic Type ID is a standard CDR field of type INT. Its default value is null (0). Possible values for this field are 1 to 128. The ID of the traffic type is associated with the destination code or code index of the dialed destination.

The OpenScape Voice database initially contains the 7 traffic types. Additional traffic types can be created by an administrator and can then be used on destination codes and code index tables of translation. Traffic types can be administrated on the system level. The default database contains the following 7 traffic types:

- International
- National
- Local
- Toll Free
- Emergency
- Public Operator
- Directory Assistance

## Enumeration Type Documentation

## ◆ unsp__TrafficTypeVariant

enum unsp__TrafficTypeVariant

Traffic Type Variant.

Enumerator
UnknownTrafficType | Unknown.
EmergencyTrafficType | Emergency. Emergency traffic types cannot be provisioned.
GenericTrafficType | Generic.

## ◆ unsp__TTSortType

enum unsp__TTSortType

Traffic Type Sort Type.

Enumerator
TTSortByName | Sort By Name.
TTSortByValue | Sort By Value (ID)

## Function Documentation

## ◆ unsp__CreateTrafficType()

unsp__CreateTrafficType | ( | struct unsp__CreateTrafficTypeRequest | CreateTrafficTypeRequest,
|  | struct unsp__CreateTrafficTypeResult * | CreateTrafficTypeResult
| ) |  |

This method creates a Traffic Type.

Parameters

  CreateTrafficTypeRequest | API request
  CreateTrafficTypeResult | API result MP2 command: TRAFFICTYPECREATE [Attributes]

## ◆ unsp__DeleteTrafficType()

unsp__DeleteTrafficType | ( | struct unsp__DeleteTrafficTypeRequest | DeleteTrafficTypeRequest,
|  | struct unsp__DeleteTrafficTypeResult * | DeleteTrafficTypeResult
| ) |  |

This method deletes a Traffic Type.

Parameters

  DeleteTrafficTypeRequest | API request
  DeleteTrafficTypeResult | API result MP2 command: TRAFFICTYPEDELETE [Attributes]

## ◆ unsp__ModifyTrafficType()

unsp__ModifyTrafficType | ( | struct unsp__ModifyTrafficTypeRequest | ModifyTrafficTypeRequest,
|  | struct unsp__ModifyTrafficTypeResult * | ModifyTrafficTypeResult
| ) |  |

This method modifies the name of a Traffic Type.

Parameters

  ModifyTrafficTypeRequest | API request
  ModifyTrafficTypeResult | API result MP2 command: TRAFFICTYPEMODIFY [Attributes]

## ◆ unsp__QueryTrafficTypeList()

unsp__QueryTrafficTypeList | ( | struct unsp__QueryTrafficTypeListRequest | QueryTrafficTypeListRequest,
|  | struct unsp__QueryTrafficTypeListResult * | QueryTrafficTypeListResult
| ) |  |

This method retrieves the List of Traffic Types.

Parameters

  QueryTrafficTypeListRequest | API request
  QueryTrafficTypeListResult | API result